%module(docstring="This module is to control resources access") ftlock
%{
#include "ftlock.h"
%}
%include "../ft/ftlock.h"

%pythoncode %{
import threading
do_notify = None
thread = None
open = _ftlock.ftlock_open
lock = _ftlock.ftlock_lock
try_lock = _ftlock.ftlock_try_lock
def notify(code):
    if type(code) == int:
        _ftlock.ftlock_notify(code)
    else:
        _ftlock.ftlock_notify(ord(code))
pid = _ftlock.ftlock_pid
unlock = _ftlock.ftlock_unlock
close = _ftlock.ftlock_close
state = _ftlock.ftlock_state
wait = _ftlock.ftlock_wait
def notifier():
    while True:
        do_notify(wait())

def subscribe(func):
    global do_notify
    global thread
    do_notify = func
    if thread == None:
        thread = threading.Thread(target=notifier, daemon=True)
        thread.start()

open()
%}
