# This test uses an encoder motor M1, connections O1-O2, C1-GND, 9V (use standard connection form manual)
# Motor must rotate to one direction, stop and rotate to anther direction, sometimes test outputs distance

import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
txt2=ft.fttxt2()
e1=txt2.encoder(1)
txt2.update_config()

ftlock.notify('R')

print("Encoder test with distance output")
e1.stop()

# Use one direction
e1.start_speed(256)
time.sleep(1)
print(e1.motor_distance)
time.sleep(1)
print(e1.motor_distance)

# Set speed to zero
e1.start_speed(0)
time.sleep(1)
print(e1.motor_distance)
time.sleep(1)

# Use another direction
e1.start_speed(-256)
time.sleep(1)
print(e1.motor_distance)
time.sleep(1)
print(e1.motor_distance)

# Set speed to zero
e1.start_speed(0)
time.sleep(1)
print(e1.motor_distance)
time.sleep(1)
print(e1.motor_distance)


