#!/usr/bin/env python3

import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
txt2=ft.fttxt2()
e1=txt2.encoder(1)
e2=txt2.encoder(2)
txt2.update_config()

ftlock.notify('R')

distance=300
speed=250

def go():
    e1.speed_set(speed)
    e2.speed_set(speed)
    e1.syncDistance(distance, e2)
    while e1.isrunning:
        pass
    e1.syncStop(e2)

for i in range(10):
    go()
