# Raw input values test
# Note: Unconfigured input returns zero
# Raw value can be:
# - distance for an ultrasonic
# - voltage for an analog input
# - digital 0/1 for a digital input (inverted value for switch)

import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
txt2=ft.fttxt2()
u1=txt2.ultrasonic(1)
r2=txt2.resistor(2)
s3=txt2.switch(3)
c1=txt2.counter(1)
txt2.update_config()

time.sleep(0.02)

ftlock.notify('R')

while True:
  values=txt2.get_values()
  print(values)
  time.sleep(1)


