#!/bin/bash
B=$(dirname "$0")
S=$(dirname "$0")
D="/"
bindir="usr/bin"
datadir="usr/share"
libdir="usr/lib"
includedir="usr/include"
base_libdir="lib"

PYTHON_SITEPACKAGES_DIR="usr/lib/python3.5/site-packages/"
install -d ${D}${bindir}
install -m 0755 ${B}/ftconfig ${D}${bindir}/
install -m 0755 ${B}/fttxtctrl ${D}${bindir}/
install -m 0755 ${B}/ftcalib ${D}${bindir}/
install -m 0755 ${B}/ftdaemon ${D}${bindir}/
install -m 0755 ${B}/ftlock_test ${D}${bindir}/
install -d ${D}${datadir}/txt2-utils/
install -m 0755 ${B}/txt_servo_setpos ${D}${datadir}/txt2-utils/

install -d ${D}${libdir}
cp -drv ${B}/libTxtControlLib.so* ${D}${libdir}/
cp -drv ${B}/libcftlock.so* ${D}${libdir}/

install -d ${D}${PYTHON_SITEPACKAGES_DIR}
install -m 0755 ${B}/_ft.so ${D}${PYTHON_SITEPACKAGES_DIR}/
install -m 0755 ${B}/ft.py ${D}${PYTHON_SITEPACKAGES_DIR}/
install -m 0755 ${B}/_ftlock.so ${D}${PYTHON_SITEPACKAGES_DIR}/
install -m 0755 ${B}/ftlock.py ${D}${PYTHON_SITEPACKAGES_DIR}/

install -d ${D}${includedir}
cp -drv ${S}/includes/ft ${D}${includedir}/

install -d ${D}${base_libdir}/firmware
install -m 0755 ${B}/firmware/txt2-M4-rt-core-rev0.elf ${D}${base_libdir}/firmware/
install -m 0755 ${B}/firmware/txt2-M4-rt-core-rev1.elf ${D}${base_libdir}/firmware/