# This test uses an encoder motor M1, connections O1-O2, C1-GND, 9V (use standard connection form manual)
# This test try to check motor break feature

import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
txt2=ft.fttxt2()
e1=txt2.encoder(1)
txt2.update_config()

ftlock.notify('R')

def handler(txt, fts):
  print("Something wrong")

txt2.fault_handler = handler

print("Encoder brake test for difference distance and speed")

def test(speed, distance):
    e1.stop()
    time.sleep(0.01)
    e1.speed_set(speed)
    e1.start_distance(distance)
    while e1.isrunning:
        pass
    print("Test speed", speed, " distance", distance, "result position :", e1.motor_distance)
    time.sleep(5)
    print(e1.motor_distance)


test(150, 10)
test(150, 20)
test(150, 25)
test(150, 26)
test(150, 266)
test(400, 266)
test(400, 26)
test(512, 266)

