# This test outputs a NTC termistor temperature each second
# NTC termistor must be connected to I5-GND
# Use CTRL-C to abort this test

import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
txt2=ft.fttxt2()
n5=txt2.ncttermistor(5)
txt2.update_config()

ftlock.notify('R')

print("NTC test")
while True:
    print("Temperature", n5.ntcTemperature())
    time.sleep(1)

